Bug 55699 - up2date keeps crashing while updating kernel on 7.0 box
up2date keeps crashing while updating kernel on 7.0 box
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 03:21 EST by Christian Huettermann
Modified: 2015-01-07 18:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-07 18:44:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Huettermann 2001-11-05 03:21:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
[root@webdev /root]# up2date --force kernel kernel-pcmcia-cs kernel-smp
kernel-utils

[...]
Retrieving selected packages...
kernel:                     ########################## Done.
kernel-pcmcia-cs:           ########################## Done.
kernel-smp:                 ########################## Done.
kernel-utils:               ########################## Done.
Preparing...                ########################################### [100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 831, in ?
    main()
  File "/usr/sbin/up2date", line 806, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 589, in batchRun
    kernelsToInstall = up2date.installPackages(selPkgList, rpmCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 2158, in installPackages
    error = errors + e + "\n"
TypeError: illegal argument type for built-in operation


7.0 box, IBM Netfinity, standard install. machine webdev.redhat.de is on
kerberos as well if you want to debug

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date --force kernel kernel-pcmcia-cs kernel-smp kernel-utils
2.
3.
	

Additional info:
Comment 1 Adrian Likins 2001-11-05 17:21:43 EST
This should be fixed in the next version of the client.
Comment 2 David M. Cook 2002-02-07 18:43:31 EST
Haven't seen the problem with recent kernel errata.
Comment 3 David M. Cook 2002-02-07 18:44:35 EST
Er, haven't seen the problem at all in the current release.

Note You need to log in before you can comment on or make changes to this bug.